﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;
using System.Windows.Markup;

namespace Carrousel3
{
 public partial class Page : UserControl
 {
  string[] ts = {"AutantEnEmporteLeVent", 
                 "BlancheNeigeEtLes7Nains", 
                 "ChantonsSousLaPluie", 
                 "LePontDeLaRiviereKwai", 
                 "LesTempsModernes", 
                 "WestSideStory" 
                };
  public Page()
  {
   InitializeComponent();
  }
  int nbImages;
  private void LayoutRoot_Loaded(object sender, RoutedEventArgs e)
  {
   nbImages = ts.Length;
   for (int i = 0; i < nbImages; i++)
   {
    double angle, X, Y;
    angle = i * 6.28 / nbImages;  // en radians
    X = Math.Round(300 + 300 * Math.Cos(angle) - 40);
    Y = Math.Round(300 + 300 * Math.Sin(angle) - 60);
    string s = "<Image "
             + "xmlns='http://schemas.microsoft.com/client/2007' " 
             + "Name='img" + i + "' "
             + "Canvas.Left='" + X + "' Canvas.Top='" + Y + "' "
             + "Width='80' Height='120' "
             + "Source='" + (ts[i] + ".jpg") + "' "
             + "RenderTransformOrigin='0.5, 0.5' "
             + ">"
             + "<Image.RenderTransform>"
             + "<RotateTransform Name='rotImg" + i + "'  />"
             + "</Image.RenderTransform>"
             + "</Image>";
    Image img = (Image)XamlReader.Load(s);
    img.MouseEnter+=new MouseEventHandler(img_MouseEnter);   
    img.MouseLeave += new MouseEventHandler(img_MouseLeave);    
    img.MouseLeftButtonDown += new MouseButtonEventHandler(img_MouseLeftButtonDown); 
    can.Children.Add(img);
    RotateTransform rt = img.FindName("rotImg"+i) as RotateTransform;
    DoubleAnimation da = new DoubleAnimation();
    da.Duration = new Duration(new TimeSpan(0, 0, 10));
    da.To = -360;
    da.RepeatBehavior = RepeatBehavior.Forever;
    Storyboard.SetTargetProperty(da, new PropertyPath("Angle"));
    Storyboard.SetTarget(da, rt);
    stb.Children.Add(da);
   }
   stb.Begin();
  }

  void img_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
  {
   Image img = (Image)sender;
   string s = img.Name;
   int n = Int32.Parse(s.Substring(3));
   vid.Source = new Uri((ts[n] + ".wmv"), UriKind.Relative);
   vid.MediaEnded += new RoutedEventHandler(vid_MediaEnded);
   vid.Play();
   startVideo.Begin();
  }

  void vid_MediaEnded(object sender, RoutedEventArgs e)
  {
   endVideo.Begin();
  }

  void img_MouseLeave(object sender, MouseEventArgs e)
  {
   stb.Resume();
  }
  void img_MouseEnter(object sender, MouseEventArgs e)
  {
   stb.Pause();
  }
 }
}
